//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.MemoryWritingRequest
{
    [Serializable]
    public class WorkingMemoryServiceRequest : Message
    {
        public const string k_RosMessageName = "rise_core/WorkingMemoryService";
        public override string RosMessageName => k_RosMessageName;

        public string request_by_key;

        public WorkingMemoryServiceRequest()
        {
            this.request_by_key = "";
        }

        public WorkingMemoryServiceRequest(string request_by_key)
        {
            this.request_by_key = request_by_key;
        }

        public static WorkingMemoryServiceRequest Deserialize(MessageDeserializer deserializer) => new WorkingMemoryServiceRequest(deserializer);

        private WorkingMemoryServiceRequest(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.request_by_key);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.request_by_key);
        }

        public override string ToString()
        {
            return "WorkingMemoryServiceRequest: " +
            "\nrequest_by_key: " + request_by_key.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize);
        }
    }
}
